Mu.

0.23 PartTools

Recommended Posts

Any word on a fix to the emissive issues we've been dealing with for a while? I've been stuck on Unity 4.2.2 because later revisions don't work with the emissive system without tweaking the files (which never solved the issue for me).

Reference:

http://forum.kerbalspaceprogram.com/threads/25023?p=921862&viewfull=1#post921862

How does Squad make it work on their end?

Share this post


Link to post
Share on other sites

We will son have new part tools for 1.0.5, huhullll!

Great news!

Share this post


Link to post
Share on other sites

how do you install the part tools?

EDIT: Never mind, I've got it working

Edited by Bev7787

Share this post


Link to post
Share on other sites

has anyone ever had the issue where when you add part tools to a gameobject it gives nullreference errors? it hasn't happened before, only started a week ago. It is really frustrating because i can't get rid of it unless i start a new project. reimporting or anything doesn't work. It has worked on the same gameobjects before but just recently i'm getting this mess.

it turns out it was a messed up gamedata directory.

Edited by fast_de_la_speed

Share this post


Link to post
Share on other sites
That link is broken. Could you update the thread?

Yep i need the Tool Package too, could anyone upload it and send us the link?

I need it for a Project and i have a Deadline which draws closer and closer ;-)

Share this post


Link to post
Share on other sites

Hope on a EmissiveBumped - no specular shader!

Share this post


Link to post
Share on other sites

They said the new part tools will have some shaders surprises...

Hoppe.

Share this post


Link to post
Share on other sites
They said the new part tools will have some shaders surprises...

Hoppe.

IVA shaders!

Can't wait.

Interested in how these are made...

d8a3ce4251.jpg

Share this post


Link to post
Share on other sites

Do we need the 1.0.5 part tools in order to update any parts mods? I'm fairly new to the whole modding thing, but have been making different parts for myself for the last couple of months, so I'm unsure of how this all works.

Share this post


Link to post
Share on other sites

Not all. I wont tell you what will and won't work because I don't know but some of my simple part models seem to be working fine without a recompile.

Share this post


Link to post
Share on other sites

Is there a way to get our hands on the new part tools? I would love to test out the new shaders.

Share this post


Link to post
Share on other sites
Stupid question, but what am I supposed to do with the files, how to install them?

Share this post


Link to post
Share on other sites
[quote name='sashan']Stupid question, but what am I supposed to do with the files, how to install them?[/QUOTE]
Simply drag and drop the content into the "Assets" folder

Share this post


Link to post
Share on other sites

Hi!

Do i need to use the API updater on Unity 5 ?

or keep the old version of PartTools 0.23 ?

 

Thx

Share this post


Link to post
Share on other sites

KSP is not using Unity 5 for now. You must use a 4.x version.

Share this post


Link to post
Share on other sites

I read a ways back, and last I found, was that Unity 4.3.4 was the last Unity version that could be used with the 0.23 Tools... Is that still true, or can we use the current version of 4.x.x?

Share this post


Link to post
Share on other sites
On 30/04/2015, 04:59:02, martinezfg11 said:

You don't need it. Just put the Part Tools folder inside your Unity Assets folder.

Which assets folder?

 

Unity\Editor\Data\PlaybackEngines\wp8support\Template\Assets 

Unity\Editor\Data\PlaybackEngines\blackberryplayer\assets 

Unity\Editor\Data\PlaybackEngines\androidplayer\assets 

and finally

Unity\Editor\Standard Assets 

 

Which one?
 

Share this post


Link to post
Share on other sites
3 minutes ago, Jaffa Cookie said:

Which assets folder?

 

Unity\Editor\Data\PlaybackEngines\wp8support\Template\Assets 

Unity\Editor\Data\PlaybackEngines\blackberryplayer\assets 

Unity\Editor\Data\PlaybackEngines\androidplayer\assets 

and finally

Unity\Editor\Standard Assets 

 

Which one?
 

Start the program and you'll see it. It's pretty hard to miss.

Share this post


Link to post
Share on other sites
1 hour ago, Jaffa Cookie said:

Which assets folder?

 

Unity\Editor\Data\PlaybackEngines\wp8support\Template\Assets 

Unity\Editor\Data\PlaybackEngines\blackberryplayer\assets 

Unity\Editor\Data\PlaybackEngines\androidplayer\assets 

and finally

Unity\Editor\Standard Assets 

 

Which one?
 

The assets folder that is in your Project file. I'll try to post some pictures of where when I get home from work.

Share this post


Link to post
Share on other sites
14 hours ago, sarbian said:

KSP is not using Unity 5 for now. You must use a 4.x version.

Not for everything I'm using a beta Unity 5.1 for Linux and part tools .23 there are some bugs  but for the most part all works fine but, I don't know how to do animation but so far ever think else has worked fine.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.